<template>
	<el-scrollbar wrap-class="scrollbar-wrapper">
		<el-menu
		:default-active="$route.path"
		:collapse="isCollapse"
		:background-color="variables.menuBg"
		:text-color="variables.menuText"
		:active-text-color="variables.menuActiveText"
		:collapse-transition="false"
		mode="vertical"
		>
			<SidebarItem v-for="route in permissionRoutes" :key="route.path" :item="route" :base-path="route.path" />
		</el-menu>
	</el-scrollbar>
</template>

<script>
import { mapGetters } from 'vuex';
import SidebarItem from './SidebarItem';
import variables from '@/styles/variables.scss';

export default {
	name: 'Sidebar',
	components: { SidebarItem },
	computed: {
		...mapGetters([
			'sidebar'
		]),
		...mapGetters('permission', ['permissionRoutes']),
		variables() {
			return variables;
		},
		isCollapse() {
			return !this.sidebar.opened;
		}
	}
}
</script>
